# SDL_gfxBresenhamIterator Struct Reference

The structure passed to the internal Bresenham iterator. More...

## Data Fields

Sint16 | x
Sint16 | y
int | dx
int | dy
int | s1
int | s2
int | swapdir
int | error
Uint32 | count

## Detailed Description

The structure passed to the internal Bresenham iterator.

Definition at line 28 of file SDL_gfxPrimitives.c.

## Field Documentation

Uint32 count

Definition at line 31 of file SDL_gfxPrimitives.c.

int dx

Definition at line 30 of file SDL_gfxPrimitives.c.

int dy

Definition at line 30 of file SDL_gfxPrimitives.c.

int error

Definition at line 30 of file SDL_gfxPrimitives.c.

int s1

Definition at line 30 of file SDL_gfxPrimitives.c.

int s2

Definition at line 30 of file SDL_gfxPrimitives.c.

int swapdir

Definition at line 30 of file SDL_gfxPrimitives.c.

Sint16 x

Definition at line 29 of file SDL_gfxPrimitives.c.

Sint16 y

Definition at line 29 of file SDL_gfxPrimitives.c.

The documentation for this struct was generated from the following file:

- SDL_gfxPrimitives.c